gdaltransform(1)

NAME
gdaltransform - gdaltransform transforms coordinates

SYNOPSIS

gdaltransform [--help-general]
    [-i] [-s_srs srs_def] [-t_srs srs_def] [-to "NAME=VALUE"]
    [-order n] [-tps] [-rpc] [-geoloc]
    [-gcp pixel line easting northing [elevation]]*
    [srcfile [dstfile]]

DESCRIPTION

The gdaltransform utility reprojects a list of coordinates into any supported projection,including GCP-based transformations.

-s_srs srs def:
    source spatial reference set. The coordinate systems that can be passed are anything supported by the OGRSpatialReference.SetFromUserInput() call, which includes EPSG PCS and GCSes (ie. EPSG:4296), PROJ.4 declarations (as above), or the name of a .prf file containing well known text.

-t_srs srs_def:
    target spatial reference set. The coordinate systems that can be passed are anything supported by the OGRSpatialReference.SetFromUserInput() call, which includes EPSG PCS and GCSes (ie. EPSG:4296), PROJ.4 declarations (as above), or the name of a .prf file containing well known text.

-to NAME=VALUE:
    set a transformer option suitable to pass to GDALCreateGenImgProjTransformer2().

-order n:
    order of polynomial used for warping (1 to 3). The default is to select a polynomial order based on the number of GCPs.

-tps:
    Force use of thin plate spline transformer based on available GCPs.

-rpc:
    Force use of RPCs.

-geoloc:
    Force use of Geolocation Arrays.

-i  Inverse transformation: from destination to source.

-gcppixel line easting northing [elevation]:
    Provide a GCP to be used for transformation (generally three or more are required)

srcfile:
    File with source projection definition or GCP's. If not given, source projection is read from the command-line -s_srs or -gcp parameters

dstfile:
    File with destination projection definition.

Coordinates are read as pairs (or triples) of numbers per line from standard input, transformed, and written out to standard output in the same way. All transformations offered by gdalwarp are handled, including gcp-based ones.

Note that input and output must always be in decimal form. There is currently no support for DMS input or output.

If an input image file is provided, input is in pixel/line coordinates on that image. If an output file is provided, output is in pixel/line coordinates on that image.

Reprojection Example

Simple reprojection from one projected coordinate system to another:

gdaltransform -s_srs EPSG:28992 -t_srs EPSG:31370
177502 311865

Produces the following output in meters in the 'Belge 1972 / Belgian Lambert 72' projection:

244510.77404604 166154.532871342 -1046.79270555763

Image RPC Example

The following command requests an RPC based transformation using the RPC model associated with the named file. Because the -i (inverse) flag is used, the transformation is from output georeferenced (WGS84) coordinates back to image coordinates.

gdaltransform -i -rpc 06OCT20025052-P2AS-005553965230_01_P001.TIF
125.67206 39.85307 50

Produces this output measured in pixels and lines on the image:

3499.49282422381 2910.83892848414 50

AUTHORS

Frank Warmerdam <warmerdam@pobox.com>, Jan Hartmann <j.l.h.hartmann@uva.nl>